<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>MatUnScaleSystem</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="MatUnScaleSystem"><H1>MatUnScaleSystem</H1></A>
Unscales a vector solution and right hand side to  match the original scaling of a scaled matrix. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscmat.h" 
PetscErrorCode PETSCMAT_DLLEXPORT MatUnScaleSystem(Mat mat,Vec b,Vec x)
</PRE>
Collective on <A HREF="../Mat/Mat.html#Mat">Mat</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>mat </B></TD><TD>- the matrix
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>b </B></TD><TD>- right hand side vector (or <A HREF="../Sys/PETSC_NULL.html#PETSC_NULL">PETSC_NULL</A>)
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>x </B></TD><TD>- solution vector (or <A HREF="../Sys/PETSC_NULL.html#PETSC_NULL">PETSC_NULL</A>)
</TD></TR></TABLE>
<P>
<P>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
For AIJ, BAIJ, and BDiag matrix formats, the matrices are not
internally scaled, so this does nothing. For MPIROWBS it
permutes and diagonally scales.
<P>
The <A HREF="../KSP/KSP.html#KSP">KSP</A> methods automatically call this routine when required
(via <A HREF="../PC/PCPreSolve.html#PCPreSolve">PCPreSolve</A>()) so it is rarely used directly.
<P>

<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Mat/MatUseScaledForm.html#MatUseScaledForm">MatUseScaledForm</A>(), <A HREF="../Mat/MatScaleSystem.html#MatScaleSystem">MatScaleSystem</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>Developer
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/mat/interface/matrix.c.html#MatUnScaleSystem">src/mat/interface/matrix.c</A>
<BR><A HREF="./index.html">Index of all Mat routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
